[Blends-commit] [SCM] website branch, master, updated. 3d0ca4c6f339359926717ea69966ac4fd4d2a486

Andreas Tille tille at debian.org
Wed May 18 21:52:17 UTC 2016


The following commit has been merged in the master branch:
commit 3d0ca4c6f339359926717ea69966ac4fd4d2a486
Author: Andreas Tille <tille at debian.org>
Date:   Wed May 18 23:51:58 2016 +0200

    Make script a bi tmore user friendly

diff --git a/misc/sql/0-missing-autopkgtest.sh b/misc/sql/0-missing-autopkgtest.sh
index c1f09fb..43d0b21 100755
--- a/misc/sql/0-missing-autopkgtest.sh
+++ b/misc/sql/0-missing-autopkgtest.sh
@@ -9,6 +9,15 @@ if [ $# -ne 2 ] ; then
     exit 1
 fi
 
+if [ ! $(which psql) ] ; then
+    cat <<EOT
+No PostgreSQL client providing /usr/bin/psql installed.
+On a Debian system please
+    sudo apt-get install postgresql-client-common
+EOT
+    exit 1
+fi
+
 SERVICE="service=udd"
 #if there is a local UDD clone just use this
 if psql $PORT -l 2>/dev/null | grep -qw udd ; then
@@ -17,7 +26,7 @@ fi
 
 # Check UDD connection
 if ! psql $PORT $SERVICE -c "" 2>/dev/null ; then
-    echo "No local UDD found, use publich mirror."
+    echo "No local UDD found, use public mirror."
     PORT="--port=5432"
     export PGPASSWORD="public-udd-mirror"
     SERVICE="--host=public-udd-mirror.xvm.mit.edu --username=public-udd-mirror udd"

-- 
Static and dynamic websites for Debian Pure Blends



More information about the Blends-commit mailing list